Status: Closed Start date:
Priority: Normal Due date:
Assignee: Go MAEDA % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version:
Description

    -  test_issue_edit_subject_should_include_status_changes_if_setting_is_enabled
    -  test_issue_edit_subject_should_not_include_status_changes_if_setting_is_disabled

These two tests check Mailer.deliver_issue_add.
I think those tests should check Mailer.deliver_issue_edit as described in the title.

This patch fixes those tests.

Related issues:
Related to Redmine - Feature # 13111: New setting to include the status chang... Closed 2008-02-04

Associated revisions
Revision 18134 - 2019-05-07 01:34 - Go MAEDA

Fix tests to test Mailer.deliver_issue_edit instead of Mailer.deliver_issue_add (#13111, #31065).

Patch by Mizuki ISHIKAWA.

History
#1 - 2019-03-21 13:27 - Go MAEDA
- Related to Feature #13111: New setting to include the status changes in issue mail notifications subject added

#2 - 2019-03-21 13:30 - Go MAEDA

Those two tests are added by #13111 for upcoming 4.1.0.

#3 - 2019-05-06 15:01 - Go MAEDA
- Assignee set to Marius BALTEANU

Marius, could you check the attached fix?

#4 - 2019-05-06 20:37 - Marius BALTEANU
- Assignee changed from Marius BALTEANU to Go MAEDA

Mizuki, you're right, the tests should check Mailer.deliver_issue_edit, thanks for catching and fixing this.

Go, it can be committed as part of #13111.
http://www.redmine.org/projects/redmine/repository/entry/trunk/test/unit/mailer_test.rb#L450
http://www.redmine.org/projects/redmine/repository/entry/trunk/test/unit/mailer_test.rb#L462


#5 - 2019-05-07 01:35 - Go MAEDA
- Status changed from New to Closed

Committed the fix. Thank you all for working on this issue.

Files
fix-13111-tests.patch 1.47 KB 2019-03-20 Mizuki ISHIKAWA
